org.springframework.cloud.dataflow.rest.job.support

## Class JobUtils

- java.lang.Object
- - org.springframework.cloud.dataflow.rest.job.support.JobUtils

-     public final class JobUtils
      extends Object

  Provides a common utility methods for job-related tasks.
  Since:
    1.0
  Author:
    Gunnar Hillert

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isJobExecutionAbandonable(org.springframework.batch.core.JobExecution jobExecution)` Determine whether the provided `JobExecution` is abandonable.
    `static boolean` | `isJobExecutionRestartable(org.springframework.batch.core.JobExecution jobExecution)` Determine whether the provided `JobExecution` is restartable.
    `static boolean` | `isJobExecutionStoppable(org.springframework.batch.core.JobExecution jobExecution)` Determine whether the provided `JobExecution` is stoppable.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isJobExecutionRestartable

          public static boolean isJobExecutionRestartable(org.springframework.batch.core.JobExecution jobExecution)

      Determine whether the provided `JobExecution` is restartable.
      Parameters:
        `jobExecution` - Must not be null and its `BatchStatus` must not be null either.
      Returns:
        Never returns null

    - #### isJobExecutionAbandonable

          public static boolean isJobExecutionAbandonable(org.springframework.batch.core.JobExecution jobExecution)

      Determine whether the provided `JobExecution` is abandonable.
      Parameters:
        `jobExecution` - Must not be null and its `BatchStatus` must not be null either.
      Returns:
        Never returns null

    - #### isJobExecutionStoppable

          public static boolean isJobExecutionStoppable(org.springframework.batch.core.JobExecution jobExecution)

      Determine whether the provided `JobExecution` is stoppable.
      Parameters:
        `jobExecution` - Must not be null and its `BatchStatus` must not be null either.
      Returns:
        Never returns null

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.